# org::coinor::examples::scalable::Scalable Class Reference

Abstract class for the scalable problems. More...

Inheritance diagram for org::coinor::examples::scalable::Scalable:
[legend]

List of all members.

## Public Member Functions
| Scalable (String name, double gl, double gu)
String | toString ()
abstract boolean | initialize (int n)
| In this function all problem sizes, bounds and initial guess should be initialized.
void | create ()
| Creates the problem based on the already computed problem sizes and bounds.
double[] | getInitialGuess ()
void | print (double[] x, String str)
## Protected Attributes
double | gl
double | gu
## Package Attributes
int | n
int | m
int | nnz_jac_g
int | nnz_h_lag
double | x_l []
double | x_u []
double | g_l []
double | g_u []
int | index_style
double | x []
| Final value of variable values.
## Private Attributes
String | name

## Detailed Description

Abstract class for the scalable problems.

Implementations should derive from this class and implement initialize(int) where all problem size, bounds, and inital guess should be initialized. Besides the initialization, the abstract functions for evaluation of objective, bounds, etc need to be implemented.

Author:
  Rafael de Pelegrini Soares, Tong Kewei

Definition at line 23 of file Scalable.java.

## Constructor & Destructor Documentation

org::coinor::examples::scalable::Scalable::Scalable | ( | String | name,
|  | double | gl,
|  | double | gu |
| ) |  |  | `[inline]`

Parameters:

  | name |
  | gl | the constraint lower bound value for all elements of g
  | gu | the constraint upper bound value for all elements of g

Definition at line 51 of file Scalable.java.

## Member Function Documentation

String org::coinor::examples::scalable::Scalable::toString | ( |  | ) | `[inline]`

Definition at line 58 of file Scalable.java.

abstract boolean org::coinor::examples::scalable::Scalable::initialize | ( | int | n | ) | `[pure virtual]`

In this function all problem sizes, bounds and initial guess should be initialized.

Parameters:

  | n | the problem size

Returns:
  true if the given size is valid for this problem

Implemented in org::coinor::examples::scalable::LuksanVlcek1.

void org::coinor::examples::scalable::Scalable::create | ( |  | ) | `[inline]`

Creates the problem based on the already computed problem sizes and bounds.

Definition at line 76 of file Scalable.java.

double [] org::coinor::examples::scalable::Scalable::getInitialGuess | ( |  | ) | `[inline]`

Definition at line 81 of file Scalable.java.

void org::coinor::examples::scalable::Scalable::print | ( | double[] | x,
|  | String | str |
| ) |  |  | `[inline]`

Definition at line 86 of file Scalable.java.

## Member Data Documentation

int org::coinor::examples::scalable::Scalable::n`[package]`

Definition at line 26 of file Scalable.java.

int org::coinor::examples::scalable::Scalable::m`[package]`

Definition at line 27 of file Scalable.java.

int org::coinor::examples::scalable::Scalable::nnz_jac_g`[package]`

Definition at line 28 of file Scalable.java.

int org::coinor::examples::scalable::Scalable::nnz_h_lag`[package]`

Definition at line 29 of file Scalable.java.

double org::coinor::examples::scalable::Scalable::x_l[]`[package]`

Definition at line 32 of file Scalable.java.

double org::coinor::examples::scalable::Scalable::x_u[]`[package]`

Definition at line 32 of file Scalable.java.

double org::coinor::examples::scalable::Scalable::g_l[]`[package]`

Definition at line 33 of file Scalable.java.

double org::coinor::examples::scalable::Scalable::g_u[]`[package]`

Definition at line 33 of file Scalable.java.

int org::coinor::examples::scalable::Scalable::index_style`[package]`

Definition at line 36 of file Scalable.java.

double org::coinor::examples::scalable::Scalable::x[]`[package]`

Final value of variable values.

Reimplemented from org::coinor::Ipopt.

Definition at line 39 of file Scalable.java.

String org::coinor::examples::scalable::Scalable::name`[private]`

Definition at line 41 of file Scalable.java.

double org::coinor::examples::scalable::Scalable::gl`[protected]`

Definition at line 43 of file Scalable.java.

double org::coinor::examples::scalable::Scalable::gu`[protected]`

Definition at line 44 of file Scalable.java.

The documentation for this class was generated from the following file:

- contrib/JavaInterface/org/coinor/examples/scalable/Scalable.java

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines